# Generated from wisper_kafka-0.1.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name wisper_kafka

Name: rubygem-%{gem_name}
Version: 0.1.0
Release: 1%{?dist}
Summary: Asynchronous event publishing for Wisper using Kafka
License: MIT
URL: https://github.com/bookmate/wisper_kafka
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(pry)
# BuildRequires: rubygem(reek) >= 5.5.0
# BuildRequires: rubygem(reek) < 5.6
# BuildRequires: rubygem(rspec) >= 3.0
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(rubocop) >= 0.78.0
# BuildRequires: rubygem(rubocop) < 0.79
# BuildRequires: rubygem(rubocop-rspec) >= 1.37
# BuildRequires: rubygem(rubocop-rspec) < 2
# BuildRequires: rubygem(simplecov)
BuildArch: noarch

%description
Asynchronous event publishing for Wisper using Kafka.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{_bindir}/console
%{_bindir}/setup
%{_bindir}/test
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}


%changelog
* Thu Sep 16 2021 mockbuilder - 0.1.0-1
- Initial package
